Bug 996009 - tgtd: can't login to iSCSI target
tgtd: can't login to iSCSI target
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scsi-target-utils (Show other bugs)
6.5
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
: Regression
Depends On:
Blocks: 813636 910638 922270 983127
  Show dependency treegraph
 
Reported: 2013-08-12 04:15 EDT by Bruno Goncalves
Modified: 2013-12-05 09:10 EST (History)
3 users (show)

See Also:
Fixed In Version: scsi-target-utils-1.0.24-7.el6_5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 09:10:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
targets.conf (291 bytes, text/plain)
2013-08-12 04:17 EDT, Bruno Goncalves
no flags Details
abrt log file (650.97 KB, application/gzip)
2013-08-12 04:18 EDT, Bruno Goncalves
no flags Details

  None (edit)
Description Bruno Goncalves 2013-08-12 04:15:06 EDT
Description of problem:
System fails to login to a target using scsi-target-utils-1.0.24-6.el6.x86_64.
The problem does not happen on scsi-target-utils-1.0.24-2.el6.x86_64

Version-Release number of selected component (if applicable):
scsi-target-utils-1.0.24-6.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create a iSCSI target

2.discovery target
iscsiadm -m discovery -p localhost -t st
[  OK  ] iscsid: [  OK  ]
[::1]:3260,1 iqn.2009-10.com.redhat:storage-1

3.iscsiadm -m node -l
Logging in to [iface: default, target: iqn.2009-10.com.redhat:storage-1, portal: ::1,3260] (multiple)
(takes long time to return)
Login to [iface: default, target: iqn.2009-10.com.redhat:storage-1, portal: ::1,3260] successful.

4. no iSCSI disk is available


Additional info:
scsi6 : iSCSI Initiator over TCP/IP
 connection4:0: detected conn error (1020)
scsi 6:0:0:0: timing out command, waited 82s
scsi scan: 66 byte inquiry failed.  Consider BLIST_INQUIRY_36 for this device
 session4: session recovery timed out after 120 secs
Comment 1 Bruno Goncalves 2013-08-12 04:17:47 EDT
Created attachment 785603 [details]
targets.conf
Comment 2 Bruno Goncalves 2013-08-12 04:18:29 EDT
Created attachment 785604 [details]
abrt log file
Comment 6 Adam Thompson 2013-08-12 12:15:51 EDT
I can't see the other bugs (all private), but this doesn't look like it's related to 922270.  I'm not sure how or where to find 1.0.24-6, it's not visible from RHN, so I can't diff it to investigate.
Not to mention, that's what you guys [Red Hat, collectively] get paid for anyway :-).
Comment 8 Bruno Goncalves 2013-08-20 10:06:07 EDT
Verified using:
rpm -q scsi-target-utils
scsi-target-utils-1.0.24-7.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.